Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-RU-2013:0500-1: moderate: stellarium: Update to version 0.12.0
openSUSE Recommended Update: stellarium: Update to version 0.12.0
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:0500-1
Rating: moderate
References: #801946
Affected Products:
openSUSE 12.3
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update fixes the following issues for stellarium:
- Update to version 0.12.0 (bnc#801946):
+ New features:
- New rendering engine (LP: #673183)
- Editable keybindings (LP: #1098851, #1035635,
#832256, #789002)
- Scripting for plugins (LP: #1040242)
- Some transneptunian objects (LP: #899084, #1051205)
- New geographical locations (LP: #1051803)
- New textures for DSO
- DeltaT and lunar acceleration computation (LP:
#575621)
+ Improvements:
- Improving the scripting engine (LP: #1059368)
- Improving the plugins (LP: #1082167, #1042714)
- Improving the coordinate grids (LP: #1036294)
- Improving the constellation boundaries (LP: #1039072)
- Improving the search tool
+ Bug fixes:
- Clang Wself-assign warning during build process on
some platforms (LP: #1097358)
- Bugs in Observability plugin (LP: #1042059, #1054599,
#1053058)
- Bugs in TUI plugin (LP: #1083380)
- Bugs in Satellites plugin (LP: #1048220)
- Bugs in Compass plugin (LP: #695891)
- Bugs in scripting engine (LP: #1046518, #1092781)
- Font corruption bugs (LP: #597633, #778747, #819278,
#903310)
- Screen flashing in fullscreen mode (LP: #716695,
#824788)
- Lost nebula images (LP: #1042393, #1051038)
- Bugs in Night Vision mode (LP: #578367)
- Bugs in GUI and Core (LP: #1090722, #1082510,
#1071455, #1071458, #1056868, #1054600, #1045111, #1040944,
#1077545)
- Crashes (LP: #1043640, #1044654, #1045783)
- Drop outdated user guide from package, and corresponding
.desktop file (the user guide is now on the wiki
http://www.stellarium.org/wiki/index.php/Stellarium_User_Gui
de)
- Drop build dependency on ImageMagick, as the install
script now automatically installs prepackaged icons in
the hicolor directory
- Require qt >= 4.8 and cmake >= 2.8.7 for building.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-227

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

stellarium-0.12.0-2.4.1
stellarium-debuginfo-0.12.0-2.4.1
stellarium-debugsource-0.12.0-2.4.1


References:

https://bugzilla.novell.com/801946


< Previous Next >
This Thread
  • No further messages